CertSecure Documentation
  • Overview
    • About CertSecure Manager
    • Documentation Guide
  • Reference Guide
    • Header Bar
      • CertSecure Documentation
      • Swagger API
      • Profile Section
      • Search
    • Dashboard
      • Key Performance Indicators
      • Expiring Certificates
      • CA metrics
      • Key Strength
      • Signing Algorithm
      • Certificate Risk Report Profile
      • PKI Posture Management
      • NDES Health Information
    • AI Assistant
      • Chat
      • Configuration
      • Usage Report
    • Inventory
      • Overview
        • Overall
        • CertSecure
      • Template Management
        • Switch Templates
        • Exclusion List
        • Alert Templates
        • Certificate Templates
      • Template Categories
    • Discovery
      • Inventory
      • Scan Config
      • Cloud Config
      • Vault Config
      • Discovery Analytics
      • Scan Details
      • Discovery Ingestion
    • Reports
    • Utilities
      • ACME
      • Tasks
      • Integrations
        • Renewal Manager
        • Load Balancers
        • Discovery Agents
        • CLI Tool
        • Key Management
        • SEIM Tools
        • DevOps Tools
        • Ansible Automation Platform
      • NDES
      • Azure Key Vault
      • API Tokens
    • Enrollment
      • Certificate Request
      • Generate CSR
      • Enroll CSR
      • Generate Certificate
      • Import Certificate
      • Bulk Certificate Generation
      • Manage Policies
      • Organization Details
    • Administration
      • Users
      • Roles and permission
      • Certificate Authorities
      • Departments
    • Miscellaneous
      • Logging
      • Service Setup
        • Zoom
        • Zendesk
      • Settings
        • Configure Realms
        • Schedule Alerts
        • Metrics
        • Web Branding
        • About License
  • Setup & Architecture
    • Identity and Access Control
    • Architecture
    • Installation
      • Pre-requisites
      • Windows
      • Linux
      • Docker
    • Upgrade
      • Windows
      • Docker
  • Release Notes
    • Releases for 2026
      • v3.4.0
      • v3.3.1
      • v3.3.0
    • Releases for 2025
      • v3.2.0
      • v3.1.0
    • Releases for 2024
      • v3.0.0
  • Workflow
    • Approval Workflow
  • API Reference
    • Getting Started
    • Authorizing Requests
    • Securing API Access
    • Request and Response Conventions
    • Endpoint Reference
      • Health
      • API Token Management
      • CA Management
      • Templates
      • Certificate Enrollment
      • Inventory
      • Certificate Discovery
      • Tasks
      • Watcher Groups
      • Alerts
      • Reports
      • Logs
      • Monitoring
      • Scheduling
      • SMTP
      • ACME
      • Azure Key Vault
      • Google Cloud (GCP)
      • HashiCorp Vault
      • EJBCA
      • ServiceNow
  • Integration Guide
    • Renewal Manager
      • Workflow
      • Setup
      • Troubleshooting
      • IIS
      • Apache
      • Tomcat
      • Nginx
      • MSSQL
      • MongoDB
      • Oracle
      • Cloudflare
      • AudioCodes
      • Cisco ISE
      • Palo Alto PAN-OS
      • Cisco ACI
    • Load Balancer
      • F5
        • Workflow
        • Setup
        • Onboarding
        • UI Guide
        • Troubleshooting
      • NetScaler
        • Workflow
        • Setup
        • UI Guide
        • Troubleshooting
    • Certificate Authorities
      • ACME CAs
      • AWS
      • DigiCert Connector
      • EJBCA
      • GlobalSign
      • GoDaddy
      • HashiCorp Vault PKI
      • Microsoft AD CS
      • Sectigo
      • Sectigo-PS
    • Ansible Automation Platform
    • Azure Key Vault
  • Discovery Agent Setup Guide

Google Cloud (GCP)

The GCP endpoints upload Google Cloud service account credentials, list projects and service accounts, and generate External Account Binding (EAB) credentials for Google Public CA.

Endpoints

Method Endpoint Description
GET /gcp/generate-eab/{project_id} Generate EAB credentials.
GET /gcp/project-ids List GCP project IDs.
GET /gcp/projects/{project_id} Get GCP project detail.
GET /gcp/service-accounts List GCP service accounts.
POST /gcp/upload-service-account Upload GCP service account JSON.
GET /gcp/generate-eab/{project_id}

Generates External Account Binding (EAB) credentials for Google Public CA in a project.

Request Parameters

Name Located In Type Required Description
project_id Path string Yes Google Cloud project ID.

Example Request

curl -X GET "https://<certsecure-backend-url>/gcp/generate-eab/<project_id>" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 EAB key.
GET /gcp/project-ids

Lists the Google Cloud project IDs.

Example Request

curl -X GET "https://<certsecure-backend-url>/gcp/project-ids" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 Projects.
GET /gcp/projects/{project_id}

Returns the details of a Google Cloud project.

Request Parameters

Name Located In Type Required Description
project_id Path string Yes Google Cloud project ID.

Example Request

curl -X GET "https://<certsecure-backend-url>/gcp/projects/<project_id>" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 Project.
GET /gcp/service-accounts

Lists the uploaded Google Cloud service accounts.

Example Request

curl -X GET "https://<certsecure-backend-url>/gcp/service-accounts" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 Accounts.
POST /gcp/upload-service-account

Uploads the JSON key file of a Google Cloud service account.

Request Body (multipart/form-data)

Field Type Required Description
file file Yes File to upload.

Example Request

curl -X POST "https://<certsecure-backend-url>/gcp/upload-service-account" \
  -H "Authorization: Bearer <token>" \
  -F "file=@<file>"

Responses

Status Code Description
200 Uploaded.
On this Page:
Support Privacy Policy Terms of Service

Copyright 2026 Encryption Consulting LLC. All rights reserved.